MKC_CHECK_DECL(1)

NAME
mkc_check_decl - checks for define, function, variable or type.

SYNOPSIS
mkc_check_decl <check_type> <what> [includes...]
mkc_check_decl -h

DESCRIPTION
check_type is either define, variable, func[0-9], type or member. Depending on its value mkc_check_decl checks for define, variable, function with specified number of arguments, type or a member of structure in a specified header files includes by compiling a test program. As a result it prints either 1 (success) or 0 (failure) to stdout.

OPTIONS

-h  display help message

ENVIRONMENT

CC  Compiler. By default cc is used.

CPPFLAGS, CFLAGS
    Options passed to the compiler, for example -I for additional directories that contain header files.

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_COMMON_HEADERS
    List of header files to add to .c test program.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   mkc_check_decl define __GNUC__
   mkc_check_decl define RTLD_LAZY dlfcn.h
   mkc_check_decl variable sys_errlist errno.h
   mkc_check_decl variable __malloc_hook malloc.h
   mkc_check_decl func3 poll poll.h
   mkc_check_decl func2 fgetln stdio.h
   mkc_check_decl type mbstate_t wchar.h
   mkc_check_decl type long-long
   mkc_check_decl member tm.tm_isdst time.h
   mkc_check_decl member ifreq.ifr_addr.sa_len net/if.h

AUTHOR
Aleksey Cheusov <vle@gmx.net>